2KSupport

MyNBA2K17 System Requirements

Follow

Hello, everyone!

If you want to take your NBA 2K17 experience on the go, we once again have a companion app available for your smartphones and tablets: MyNBA2K17

MyNBA2K17 is available for free on both iOS and Android devices. If you want to play this mobile game, you should be aware of the minimum system requirements: 

iOS

  • OS 8.0 
  • NOTE: MyNBA2K17's face-scanning feature will not work with the iPhone 4s, iPhone 4, iPhone 3GS, iPad Mini 1, iPad 3, iPad 2, iPad 1, iPod Touch 5, iPod Touch 4, iPod Touch 3.

Android

  • OS 4.0.3 ("Ice Cream Sandwich")
  • API level 15
  • NOTE: Android device compatibility is always a little complicated due to the sheer volume of different devices on the market. We have a Knowledge Base post over here that shows you how to check whether or not your Android phone/tablet is compatible. 

Amazon

  • Fire HD 6 (4th generation)
  • NOTE: Face scanning is not supported with this version of MyNBA2K17.

 

NOTE: Face scanning will not be supported on any devices with 512 MB of RAM or less. 

Have more questions? Submit a request

Comments

Powered by Zendesk